net.corda.node.services.messaging

## Class RPCDispatcher

- net.corda.node.services.messaging.RPCDispatcher

-     public class RPCDispatcher

  Intended to service transient clients only (not p2p nodes) for short-lived, transient request/response pairs. If you need robustness, this is the wrong system. If you don't want a response, this is probably the wrong system (you could just send a message). If you want complex customisation of how requests/responses are handled, this is probably the wrong system.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RPCDispatcher(RPCOps ops, RPCUserService userService, java.lang.String nodeLegalName)` Intended to service transient clients only (not p2p nodes) for short-lived, transient request/response pairs. If you need robustness, this is the wrong system. If you don't want a response, this is probably the wrong system (you could just send a message). If you want complex customisation of how requests/responses are handled, this is probably the wrong system.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(ClientRPCRequestMessage msg)`
    `java.lang.String` | `getNodeLegalName()`
    `RPCOps` | `getOps()`
    `User` | `getUser(org.apache.activemq.artemis.api.core.client.ClientMessage message)`
    `RPCUserService` | `getUserService()`
    `void` | `send(SerializedBytes<?> data, java.lang.String toAddress)`
    `void` | `start(org.apache.activemq.artemis.api.core.client.ClientConsumer rpcConsumer, org.apache.activemq.artemis.api.core.client.ClientConsumer rpcNotificationConsumer, AffinityExecutor onExecutor)`

- - ### Constructor Detail

    - #### RPCDispatcher

          public RPCDispatcher(RPCOps ops,
                               RPCUserService userService,
                               java.lang.String nodeLegalName)

      Intended to service transient clients only (not p2p nodes) for short-lived, transient request/response pairs. If you need robustness, this is the wrong system. If you don't want a response, this is probably the wrong system (you could just send a message). If you want complex customisation of how requests/responses are handled, this is probably the wrong system.

  - ### Method Detail

    - #### dispatch

          public void dispatch(ClientRPCRequestMessage msg)

    - #### send

          public void send(SerializedBytes<?> data,
                           java.lang.String toAddress)

    - #### start

          public void start(org.apache.activemq.artemis.api.core.client.ClientConsumer rpcConsumer,
                            org.apache.activemq.artemis.api.core.client.ClientConsumer rpcNotificationConsumer,
                            AffinityExecutor onExecutor)

    - #### getUser

          public User getUser(org.apache.activemq.artemis.api.core.client.ClientMessage message)

    - #### getOps

          public RPCOps getOps()

    - #### getUserService

          public RPCUserService getUserService()

    - #### getNodeLegalName

          public java.lang.String getNodeLegalName()